#! /bin/bash
# convert old nanoblogger entries to 2.6 format

BLOG_DIR="$1"
ARCH_DIR="archives"

if [ -z "$BLOG_DIR" ]; then
	echo "usage: `basename $0` [blog_dir]"; exit
fi

if [ ! -d "$BLOG_DIR"/"$ARCH_DIR" ]; then
	echo "'$BLOG_DIR/$ARCH_DIR' does not exist."; exit
fi

echo "converting entries to nanoblogger 2.6 format ..."
for entry in "$BLOG_DIR"/"$ARCH_DIR"/*.htm; do
	echo "converting entry: $entry ..."
	NB_EntryTitle=`sed -n 1p "$entry"`
	NB_EntryDate=`sed -n 2p "$entry"`
	NB_EntryAuthor=`sed -n 3p "$entry"`
	NB_EntryBody=`sed 1,4d "$entry"`
	
	cat > "$entry".tmp <<-EOF
		TITLE: $NB_EntryTitle
		AUTHOR: $NB_EntryAuthor
		DATE: $NB_EntryDate
		-----
		BODY:
		$NB_EntryBody
		-----
	EOF
	mv "$entry".tmp "$entry"
done
echo "done."
